Skip to main content
PUT
Set a role assignment

Authorizations

Authorization
string
header
required

Your ara_ API key from Settings > Ara API. Keys are capability-scoped: run, plugins:read, secrets:read, secrets:write, sessions:read, knowledge:read, repos:read, repos:write, reviews:read, reviews:write, analytics:read, org:read, org:write, attachments:read, attachments:write, plugins:write, guardrails:read, guardrails:write.

Path Parameters

orgId
string
required

Organization id or slug. Resolve it with GET /v3/self.

Body

application/json
role
enum<string>
required

App-level product role.

Available options:
pro,
regular
user_id
string

Target user id. Provide either user_id or email.

email
string

Target user email, resolved to the user. Alternative to user_id.

Response

Role assigned.

user_id
string
role
enum<string>
Available options:
pro,
regular
updated_at
string<date-time> | null